View Issue Details

IDProjectCategoryView StatusLast Update
0003329unrealircdpublic2010-08-20 13:17
ReporterBockAssigned Toohnobinki 
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Platformi386OSallOS Versionall
Product Version3.2.6 
Target VersionFixed in Version3.2.9-RC1 
Summary0003329: Not unsetting all modes on /umode2 -o
DescriptionI think then I deoper myself, usermode +s must be unset too.

from conf:
    modes-on-oper "+wgs";
    restrict-usermodes "skB";

on oper:
[08:38:27] ::: Mode change [+oghaAsNW] for user wx|wrk
[08:38:27] ::: Server notice mask (+kfjveGqSso)
[08:38:27] ::: You are now an IRC Operator
on umode2 -o:
[08:38:35] ::: Mode change [-oghaANW] for user wx|wrk
[08:38:35] ::: Server notice mask (+ks)

I think that on umode2 -o: must be : Mode change [-oghaAsNW] for user wx|wrk
TagsNo tags attached.
3rd party modules

Relationships

child of 0003776 resolvedsyzop Unreal3.2.9 TODO 

Activities

aquanight

2007-05-11 09:41

reporter   ~0014089

Last edited: 2007-05-11 09:42

Keep in mind +s is allowed for nonopers by default. However, if you've put s in restrict-usermodes, it really should indeed be removed (since it's effectively an "oper-only" mode). Same for all usermodes listed there. Dunno if that's what happens or not.

(edit: and I now notice you do indeed have it in restrict-usermodes, so...)

Stealth

2007-05-11 14:20

reporter   ~0014090

perhaps on deoper have Unreal check for restricted-usermodes NOT in set-modes on connect, and remove those

Bock

2007-05-11 15:36

reporter   ~0014092

+1 to Bugz

syzop

2010-07-14 17:34

administrator   ~0016175

Sounds like something quite easy to fix, check if s in there, and remove s.

Is a slight security issue (ok, that's maybe a bit exaggerated) if this won't get fixed --> 3.2.9.

vonitsanet

2010-07-18 16:35

reporter   ~0016214

Last edited: 2010-07-18 16:51

Correct me if i'm wrong..

Is this command supposed to be used by clients?
I remember someone who wrote (years ago, so i don't remember details) that umode2 is for another purpose.

syzop

2010-07-18 17:12

administrator   ~0016215

Yea I don't care too much about umode2, but.. I'm assuming the same issue exists with MODE $nick -o as well.

ohnobinki

2010-08-19 04:38

reporter   ~0016285

OK, so would the fix be to remove s if and only if both of the following are satisfied?
- s is in restrict-usermodes
- s is in modes-on-oper

ohnobinki

2010-08-19 05:02

reporter   ~0016286

oh,and:
- s is not in modes-on-connect

ohnobinki

2010-08-19 05:27

reporter   ~0016287

Seems that whether or not modes-on-oper contains `s' has no bearing on whether or not opering up will give the oper a snomask, thus we are left with:
- s is in restrict-usermodes
- s is not in modes-on-connect

2010-08-19 05:39

 

unreal-3329-deoper-remove-snomask.patch (1,980 bytes)

Bock

2010-08-19 07:35

reporter   ~0016288

In our config:
    modes-on-connect "+wi";
    modes-on-oper "+wgs";
    restrict-usermodes "skB";

syzop

2010-08-19 17:26

administrator   ~0016289

ohnobinki: Yup, exactly.

ohnobinki

2010-08-20 13:16

reporter   ~0016293

Interpreting that as a ``go ahead and commit'' ;-).

- Remove snomasks upon deopering when it seems like the user shouldn't have snomasks. (0003329)

Issue History

Date Modified Username Field Change
2007-05-11 00:44 Bock New Issue
2007-05-11 09:41 aquanight Note Added: 0014089
2007-05-11 09:42 aquanight Note Edited: 0014089
2007-05-11 14:20 Stealth Note Added: 0014090
2007-05-11 15:36 Bock Note Added: 0014092
2007-05-12 09:30 stskeeps Status new => acknowledged
2010-07-14 17:33 syzop Relationship added child of 0003776
2010-07-14 17:34 syzop Note Added: 0016175
2010-07-18 16:35 vonitsanet Note Added: 0016214
2010-07-18 16:51 vonitsanet Note Edited: 0016214
2010-07-18 17:12 syzop Note Added: 0016215
2010-08-19 04:38 ohnobinki Note Added: 0016285
2010-08-19 04:38 ohnobinki Status acknowledged => assigned
2010-08-19 04:38 ohnobinki Assigned To => ohnobinki
2010-08-19 05:02 ohnobinki Note Added: 0016286
2010-08-19 05:27 ohnobinki Note Added: 0016287
2010-08-19 05:39 ohnobinki File Added: unreal-3329-deoper-remove-snomask.patch
2010-08-19 07:35 Bock Note Added: 0016288
2010-08-19 17:26 syzop Note Added: 0016289
2010-08-20 13:16 ohnobinki QA => Not touched yet by developer
2010-08-20 13:16 ohnobinki U4: Need for upstream patch => No need for upstream InspIRCd patch
2010-08-20 13:16 ohnobinki Note Added: 0016293
2010-08-20 13:16 ohnobinki Status assigned => resolved
2010-08-20 13:16 ohnobinki Fixed in Version => 3.2.9-RC1
2010-08-20 13:16 ohnobinki Resolution open => fixed